Subject: bug#31131: 26.1; menu-set-font not setting font properly and artefacts on bold face

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Apr 2018 14:23:51 +0300

> From: Benjamin Andresen <[email-masked]>
> Date: Wed, 11 Apr 2018 23:41:03 +0200
> 
> Starting from 'emacs -Q':
> 
> Inside *scratch* buffer:
> 
>   M-x load-theme RET tango-dark RET (More visible on dark 
>   backgrounds.)
>   M-x describe-face RET font-lock-comment-face RET
> 
> I use the custom interface to set `weight` to `bold` and [Apply] 
> for this session.
> 
>   M-x menu-set-font RET
> 
> I select "Noto Mono Regular" (although it occurs with other fonts 
> too)
> at for example value 20. The font size does not change much.
> 
> Now I navigate to the first line, hovering on the "T" of "This 
> buffer is
> for ..."
> 
> Hold down C-f while most characters change their color after they 
> are
> left behind. I've recorded a video of this here:
> https://streamable.com/0fald

I cannot reproduce anything like that.  I don't have Noto Mono
Regular, but I tried many fonts and they all behave correctly.

> Configured features:
> XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY
> LIBSELINUX GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS 
> GTK3 X11
> MODULES THREADS LCMS2

This seems to indicate your Emacs is built without libotf.  Is that on
purpose?  Can you try building with it?